Package xg.protocol.messages

# Class ProtocolPrivMessages.protocolPrivMessage.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>
xg.protocol.messages.ProtocolPrivMessages.protocolPrivMessage.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`, `ProtocolPrivMessages.protocolPrivMessageOrBuilder`

Enclosing class:
  ProtocolPrivMessages.protocolPrivMessage

public static final class ProtocolPrivMessages.protocolPrivMessage.Builder extends GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder> implements ProtocolPrivMessages.protocolPrivMessageOrBuilder

     A protocol private message internal to the scheme itself

Protobuf type `xg.protocol.messages.protocolPrivMessage`

## Method Summary

Modifier and Type
Method
Description
`ProtocolPrivMessages.protocolPrivMessage`
`build()`
Constructs the message based on the state of the Builder.
`ProtocolPrivMessages.protocolPrivMessage`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`clearAck()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`clearDisableProtocol()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`clearEnableProtocol()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`clearNotifyIdentity()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`clearPrivMessage()`
`ProtocolPrivMessages.protocolPrivAck`
`getAck()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivAck.Builder`
`getAckBuilder()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivAckOrBuilder`
`getAckOrBuilder()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivMessage`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`ProtocolPrivMessages.protocolPrivDisableProtocol`
`getDisableProtocol()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivDisableProtocol.Builder`
`getDisableProtocolBuilder()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivDisableProtocolOrBuilder`
`getDisableProtocolOrBuilder()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivEnableProtocol`
`getEnableProtocol()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivEnableProtocol.Builder`
`getEnableProtocolBuilder()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivEnableProtocolOrBuilder`
`getEnableProtocolOrBuilder()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivNotifyIdentity`
`getNotifyIdentity()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder`
`getNotifyIdentityBuilder()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder`
`getNotifyIdentityOrBuilder()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase`
`getPrivMessageCase()`
`boolean`
`hasAck()`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`boolean`
`hasDisableProtocol()`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`boolean`
`hasEnableProtocol()`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`boolean`
`hasNotifyIdentity()`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeAck(ProtocolPrivMessages.protocolPrivAck value)`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeDisableProtocol(ProtocolPrivMessages.protocolPrivDisableProtocol value)`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeEnableProtocol(ProtocolPrivMessages.protocolPrivEnableProtocol value)`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeFrom(ProtocolPrivMessages.protocolPrivMessage other)`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeNotifyIdentity(ProtocolPrivMessages.protocolPrivNotifyIdentity value)`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`final ProtocolPrivMessages.protocolPrivMessage.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setAck(ProtocolPrivMessages.protocolPrivAck value)`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setAck(ProtocolPrivMessages.protocolPrivAck.Builder builderForValue)`
`.xg.protocol.messages.protocolPrivAck ack = 255;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setDisableProtocol(ProtocolPrivMessages.protocolPrivDisableProtocol value)`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setDisableProtocol(ProtocolPrivMessages.protocolPrivDisableProtocol.Builder builderForValue)`
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setEnableProtocol(ProtocolPrivMessages.protocolPrivEnableProtocol value)`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setEnableProtocol(ProtocolPrivMessages.protocolPrivEnableProtocol.Builder builderForValue)`
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setNotifyIdentity(ProtocolPrivMessages.protocolPrivNotifyIdentity value)`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`ProtocolPrivMessages.protocolPrivMessage.Builder`
`setNotifyIdentity(ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder builderForValue)`
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`
`final ProtocolPrivMessages.protocolPrivMessage.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`

### clear

public ProtocolPrivMessages.protocolPrivMessage.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`

### getDefaultInstanceForType

public ProtocolPrivMessages.protocolPrivMessage getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ProtocolPrivMessages.protocolPrivMessage build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ProtocolPrivMessages.protocolPrivMessage buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ProtocolPrivMessages.protocolPrivMessage.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`

### mergeFrom

public ProtocolPrivMessages.protocolPrivMessage.Builder mergeFrom(ProtocolPrivMessages.protocolPrivMessage other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`

### mergeFrom

public ProtocolPrivMessages.protocolPrivMessage.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getPrivMessageCase

public ProtocolPrivMessages.protocolPrivMessage.PrivMessageCase getPrivMessageCase()

Specified by:
  `getPrivMessageCase` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`

### clearPrivMessage

public ProtocolPrivMessages.protocolPrivMessage.Builder clearPrivMessage()

### hasNotifyIdentity

public boolean hasNotifyIdentity()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

Specified by:
  `hasNotifyIdentity` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  Whether the notifyIdentity field is set.

### getNotifyIdentity

public ProtocolPrivMessages.protocolPrivNotifyIdentity getNotifyIdentity()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

Specified by:
  `getNotifyIdentity` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  The notifyIdentity.

### setNotifyIdentity

public ProtocolPrivMessages.protocolPrivMessage.Builder setNotifyIdentity(ProtocolPrivMessages.protocolPrivNotifyIdentity value)
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

### setNotifyIdentity

public ProtocolPrivMessages.protocolPrivMessage.Builder setNotifyIdentity(ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder builderForValue)
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

### mergeNotifyIdentity

public ProtocolPrivMessages.protocolPrivMessage.Builder mergeNotifyIdentity(ProtocolPrivMessages.protocolPrivNotifyIdentity value)
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

### clearNotifyIdentity

public ProtocolPrivMessages.protocolPrivMessage.Builder clearNotifyIdentity()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

### getNotifyIdentityBuilder

public ProtocolPrivMessages.protocolPrivNotifyIdentity.Builder getNotifyIdentityBuilder()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

### getNotifyIdentityOrBuilder

public ProtocolPrivMessages.protocolPrivNotifyIdentityOrBuilder getNotifyIdentityOrBuilder()
`.xg.protocol.messages.protocolPrivNotifyIdentity notify_identity = 1;`

Specified by:
  `getNotifyIdentityOrBuilder` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`

### hasEnableProtocol

public boolean hasEnableProtocol()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

Specified by:
  `hasEnableProtocol` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  Whether the enableProtocol field is set.

### getEnableProtocol

public ProtocolPrivMessages.protocolPrivEnableProtocol getEnableProtocol()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

Specified by:
  `getEnableProtocol` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  The enableProtocol.

### setEnableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder setEnableProtocol(ProtocolPrivMessages.protocolPrivEnableProtocol value)
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

### setEnableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder setEnableProtocol(ProtocolPrivMessages.protocolPrivEnableProtocol.Builder builderForValue)
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

### mergeEnableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder mergeEnableProtocol(ProtocolPrivMessages.protocolPrivEnableProtocol value)
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

### clearEnableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder clearEnableProtocol()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

### getEnableProtocolBuilder

public ProtocolPrivMessages.protocolPrivEnableProtocol.Builder getEnableProtocolBuilder()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

### getEnableProtocolOrBuilder

public ProtocolPrivMessages.protocolPrivEnableProtocolOrBuilder getEnableProtocolOrBuilder()
`.xg.protocol.messages.protocolPrivEnableProtocol enable_protocol = 2;`

Specified by:
  `getEnableProtocolOrBuilder` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`

### hasDisableProtocol

public boolean hasDisableProtocol()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

Specified by:
  `hasDisableProtocol` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  Whether the disableProtocol field is set.

### getDisableProtocol

public ProtocolPrivMessages.protocolPrivDisableProtocol getDisableProtocol()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

Specified by:
  `getDisableProtocol` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  The disableProtocol.

### setDisableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder setDisableProtocol(ProtocolPrivMessages.protocolPrivDisableProtocol value)
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

### setDisableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder setDisableProtocol(ProtocolPrivMessages.protocolPrivDisableProtocol.Builder builderForValue)
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

### mergeDisableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder mergeDisableProtocol(ProtocolPrivMessages.protocolPrivDisableProtocol value)
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

### clearDisableProtocol

public ProtocolPrivMessages.protocolPrivMessage.Builder clearDisableProtocol()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

### getDisableProtocolBuilder

public ProtocolPrivMessages.protocolPrivDisableProtocol.Builder getDisableProtocolBuilder()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

### getDisableProtocolOrBuilder

public ProtocolPrivMessages.protocolPrivDisableProtocolOrBuilder getDisableProtocolOrBuilder()
`.xg.protocol.messages.protocolPrivDisableProtocol disable_protocol = 3;`

Specified by:
  `getDisableProtocolOrBuilder` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`

### hasAck

public boolean hasAck()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

Specified by:
  `hasAck` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  Whether the ack field is set.

### getAck

public ProtocolPrivMessages.protocolPrivAck getAck()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

Specified by:
  `getAck` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`
Returns:
  The ack.

### setAck

public ProtocolPrivMessages.protocolPrivMessage.Builder setAck(ProtocolPrivMessages.protocolPrivAck value)
`.xg.protocol.messages.protocolPrivAck ack = 255;`

### setAck

public ProtocolPrivMessages.protocolPrivMessage.Builder setAck(ProtocolPrivMessages.protocolPrivAck.Builder builderForValue)
`.xg.protocol.messages.protocolPrivAck ack = 255;`

### mergeAck

public ProtocolPrivMessages.protocolPrivMessage.Builder mergeAck(ProtocolPrivMessages.protocolPrivAck value)
`.xg.protocol.messages.protocolPrivAck ack = 255;`

### clearAck

public ProtocolPrivMessages.protocolPrivMessage.Builder clearAck()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

### getAckBuilder

public ProtocolPrivMessages.protocolPrivAck.Builder getAckBuilder()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

### getAckOrBuilder

public ProtocolPrivMessages.protocolPrivAckOrBuilder getAckOrBuilder()
`.xg.protocol.messages.protocolPrivAck ack = 255;`

Specified by:
  `getAckOrBuilder` in interface `ProtocolPrivMessages.protocolPrivMessageOrBuilder`

### setUnknownFields

public final ProtocolPrivMessages.protocolPrivMessage.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`

### mergeUnknownFields

public final ProtocolPrivMessages.protocolPrivMessage.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolPrivMessages.protocolPrivMessage.Builder>`